Subject: Re: bug#75521: scratch/igc: Delete unused macro DEFVAR_LISP_NOPROX

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Jan 2025 08:07:20 +0200

> Date: Wed, 15 Jan 2025 21:04:14 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> >> It's not a fact, it's an individual opinion which virtually everyone
> >> else disagrees with (for very good reasons).  I certainly do.  Literally
> >> the only argument that has been advanced to support this *opinion* is
> >> that removing the *three* remaining _NOPROs (which are, at this point,
> >> NOT redundant, but buggy) would somehow cause us to run out of NSTATICS,
> >> which would mean more than doubling our staticpro calls overnight,
> >> adding more than a thousand staticpros.
> >
> > It isn't an opinion.  Wasting memory is bad, period.
> 
> This is too ridiculous to leave uncommented:

Please be at least polite.

> staticpro does not allocate or increase memory usage in any way.  No
> memory is wasted.  staticvec has a static size, and memory in it
> that's unused is not available for other purposes.

AFAIU, it does increase memory because on modern OS only used memory
is actually paged into the process.

> (Of course, both the existence of a separate _NOPRO macro and the
> now-redundant font_style_table vector do waste memory, which is one of
> the reasons why my patch, which is being rejected because "wasting
> memory is bad", removed them.)

Memory "wasted" on code we need to have is not a waste.  If we'd
considered it to be a waste, none of the changes we install (including
yours) will be acceptable, since almost all of them add code and/or
data.

> You claimed your opinion was a fact.  That might have been an honest
> mistake, but it was pointed out to you and you responded with another
> falsehood.
> 
> There's only so much good faith one can assume.

Yes, and you are dangerously close to overstep that line.  So please
re-read all your recent messages, which almost always include some
unwarranted personal attack on me, and try to find a way of arguing
about technical matters without ad-hominem.  GNU Kind Communications
guidelines are in effect here, mandatory for all of us.